/*
*
* CwNcAdvanceHisMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-05-05
*/
package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwNcAdvanceHis;
import com.dhcc.finance.main.domain.CwNcAdvanceHisExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwNcAdvanceHisMapper {
    /**
     *
     * @mbg.generated 2020-05-05
     */
    long countByExample(CwNcAdvanceHisExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int deleteByExample(CwNcAdvanceHisExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int insert(CwNcAdvanceHis record);
 

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int insertSelective(CwNcAdvanceHis record);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    List<CwNcAdvanceHis> selectByExample(CwNcAdvanceHisExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    CwNcAdvanceHis selectByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByExampleSelective(@Param("record") CwNcAdvanceHis record, @Param("example") CwNcAdvanceHisExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByExample(@Param("record") CwNcAdvanceHis record, @Param("example") CwNcAdvanceHisExample example);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByPrimaryKeySelective(CwNcAdvanceHis record);

    /**
     *
     * @mbg.generated 2020-05-05
     */
    int updateByPrimaryKey(CwNcAdvanceHis record);
    /**
     * 功能描述:批量新增NC垫付款明细表
     * @param record
     * @return int
     *@author likai
     *@data 2020年5月5日上午10:28:30
     *修改日志
     */
    int batchInsertNcAdvanceHis();
}